Skip to main content
GET
/
v1
/
notifications
List recent notifications for the authenticated user
curl --request GET \
  --url https://api.cnap.tech/v1/notifications \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "machine_expiry",
    "resource_type": "machine",
    "resource_id": "<string>",
    "title": "<string>",
    "body": "<string>",
    "severity": "info",
    "context": {},
    "read_at": 123,
    "created_at": 123
  }
]

Authorizations

Authorization
string
header
required

Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens

Query Parameters

unread
enum<string>

Filter unread only

Available options:
true,
false

Response

Recent notifications (max 50)

id
string
required

Notification ID

type
string
required
Example:

"machine_expiry"

resource_type
string
required
Example:

"machine"

resource_id
string
required
title
string | null
required
body
string | null
required
severity
enum<string> | null
required
Available options:
info,
warning,
critical,
null
context
object
required
read_at
number | null
required

Timestamp when read, null if unread

created_at
number
required